Results 1 to 10 of 10

Thread: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

  1. #1

    Default big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Hi, on my laptop I'm trying to update opensuse argon to KDE 5.25.2 but I get this big conflict
    https://paste.opensuse.org/63838161
    it seems due to QT5 mainly
    for example libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)
    what repository I have to install or what I have to do to solve these conflict?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    30,951

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Alas, you have a lot of output in that listing, but the first line fails. What is the command given? How difficult is it to include that crucial first line of information into a copy/paste?
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    East of Podunk
    Posts
    33,255
    Blog Entries
    15

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by pier_andreit View Post
    Hi, on my laptop I'm trying to update opensuse argon to KDE 5.25.2 but I get this big conflict
    https://paste.opensuse.org/63838161
    it seems due to QT5 mainly
    for example libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)
    what repository I have to install or what I have to do to solve these conflict?
    Hi
    Running Nextcloud? Is argon 15.3 (or running TW libs?) Anyway, seems there are a few things now working, I think Calibre is another.

    https://github.com/nextcloud/desktop/issues/4690
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by hcvv View Post
    Alas, you have a lot of output in that listing, but the first line fails. What is the command given? How difficult is it to include that crucial first line of information into a copy/paste?
    sorry, I supposed #### YaST2 conflicts list - generated 2022-06-30 13:18:13 #### was enough
    I used yast>software management>packages>all packages>update if new version available
    and the list is the result

  5. #5

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Running Nextcloud? Is argon 15.3 (or running TW libs?) Anyway, seems there are a few things now working, I think Calibre is another.

    https://github.com/nextcloud/desktop/issues/4690
    no, I'm running owncloud, and I tried again but it seems not solved for me
    yes is argon 15.3 no TW libs
    I'm not running calibre

  6. #6

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Same problem here
    Had to remove nextcloud-desktop and nextcloud-dolphin.

  7. #7
    Join Date
    Jun 2008
    Location
    East of Podunk
    Posts
    33,255
    Blog Entries
    15

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by pier_andreit View Post
    no, I'm running owncloud, and I tried again but it seems not solved for me
    yes is argon 15.3 no TW libs
    I'm not running calibre
    Hi
    Likely the same issue. AFAIK the derivatives are running later libraries, so y'all hit the same issues, just have to wait for the update to appear which I expect will be in the next day or so.

    That is IF someone has pushed an update for these broken packages.... what repo does owncloud derive from?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Likely the same issue. AFAIK the derivatives are running later libraries, so y'all hit the same issues, just have to wait for the update to appear which I expect will be in the next day or so.

    That is IF someone has pushed an update for these broken packages.... what repo does owncloud derive from?
    using yast>software management>selcted owncloud client>technical data tab
    it seems KDE:Extra
    owncloud-client - The ownCloud synchronization client
    Alternate Version Installed Version
    Version: 2.10.1-lp153.86.2 2.10.1-lp153.86.1
    Build Time: Tue 28 Jun 2022 02:10:28 PM CEST Fri 27 May 2022 03:02:03 AM CEST
    Install Time: Tue 14 Jun 2022 07:21:12 PM CEST
    License: GPL-2.0-only AND GPL-3.0-only GPL-2.0-only AND GPL-3.0-only
    Installed Size: 3.2 MiB 3.2 MiB
    Download Size: 1.5 MiB 0 B
    Distribution: KDE:Extra / KDE_Applications_openSUSE_Leap_15.3
    Vendor: obs://build.opensuse.org/KDE:Extra obs://build.opensuse.org/KDE:Extra

  9. #9
    Join Date
    Jun 2008
    Location
    East of Podunk
    Posts
    33,255
    Blog Entries
    15

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by pier_andreit View Post
    using yast>software management>selcted owncloud client>technical data tab
    it seems KDE:Extra
    owncloud-client - The ownCloud synchronization client
    Alternate Version Installed Version
    Version: 2.10.1-lp153.86.2 2.10.1-lp153.86.1
    Build Time: Tue 28 Jun 2022 02:10:28 PM CEST Fri 27 May 2022 03:02:03 AM CEST
    Install Time: Tue 14 Jun 2022 07:21:12 PM CEST
    License: GPL-2.0-only AND GPL-3.0-only GPL-2.0-only AND GPL-3.0-only
    Installed Size: 3.2 MiB 3.2 MiB
    Download Size: 1.5 MiB 0 B
    Distribution: KDE:Extra / KDE_Applications_openSUSE_Leap_15.3
    Vendor: obs://build.opensuse.org/KDE:Extra obs://build.opensuse.org/KDE:Extra
    Hi
    They are both the same, it's just been rebuilt (No changes to the source) as the final number just changed from .1 to .2. If there where actual changes to the source, the lp153.86 would change to lp153.87.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  10. #10

    Default Re: big conflict updating opensuse argon 15.3 libQt53DRender.so.5(Qt_5.15.2_PRIVATE_API)(64bit)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    They are both the same, it's just been rebuilt (No changes to the source) as the final number just changed from .1 to .2. If there where actual changes to the source, the lp153.86 would change to lp153.87.
    I updated owncloud and no problem occurred

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •